import { Component } from 'react';
import { SearchProps as NextSearchProps } from '@alifd/next/types/search';
interface SearchProps extends Omit<NextSearchProps, 'size' | 'type'> {
    size?: 'large' | 'medium' | 'small' | 'xs';
    type?: 'normal' | 'primary' | 'secondary' | 'dark' | 'brand';
    theme?: 'white' | 'gray';
}
interface ISearchState {
    focus?: boolean;
}
declare class Search extends Component<SearchProps, ISearchState> {
    constructor(props: any);
    onFocus: (e: any) => void;
    onBlur: (e: any) => void;
    render(): JSX.Element;
}
export default Search;
